Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateMessageReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageReactions

Enclosing class:
  TdApi

public static final class TdApi.UpdateMessageReactions extends TdApi.Update
Reactions added to a message with anonymous reactions have changed; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`date`
Point in time (Unix timestamp) when the reactions were changed.
`long`
`messageId`
Message identifier.
`TdApi.MessageReaction[]`
`reactions`
The list of reactions added to the message.

## Constructor Summary

Constructors
Constructor
Description
`UpdateMessageReactions()`
Reactions added to a message with anonymous reactions have changed; for bots only.
`UpdateMessageReactions(long chatId, long messageId, int date, TdApi.MessageReaction[] reactions)`
Reactions added to a message with anonymous reactions have changed; for bots only.
`UpdateMessageReactions(DataInput input)`
Reactions added to a message with anonymous reactions have changed; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### date

public int date
Point in time (Unix timestamp) when the reactions were changed.

### reactions

public TdApi.MessageReaction[] reactions
The list of reactions added to the message.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateMessageReactions

public UpdateMessageReactions()
Reactions added to a message with anonymous reactions have changed; for bots only.

### UpdateMessageReactions

public UpdateMessageReactions(long chatId, long messageId, int date, TdApi.MessageReaction[] reactions)
Reactions added to a message with anonymous reactions have changed; for bots only.

Parameters:
  `chatId` - Chat identifier.
  `messageId` - Message identifier.
  `date` - Point in time (Unix timestamp) when the reactions were changed.
  `reactions` - The list of reactions added to the message.

### UpdateMessageReactions

public UpdateMessageReactions(DataInput input) throws IOException
Reactions added to a message with anonymous reactions have changed; for bots only.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`